using PkmnLib.Dynamic.Models;
using PkmnLib.Dynamic.Models.Choices;
using PkmnLib.Static.Utils;

namespace PkmnLib.Dynamic.AI;

/// <summary>
/// An extremely simple AI that always passes its turn.
/// </summary>
public class PassTurnAI : PokemonAI
{
    /// <inheritdoc />
    public PassTurnAI() : base("pass_turn")
    {
    }

    /// <inheritdoc />
    public override ITurnChoice GetChoice(IBattle battle, IPokemon pokemon) => new PassChoice(pokemon);
}