using PkmnLib.Dynamic.Models;

namespace PkmnLib.Dynamic.Events;

public class LevelUpEvent : IEventData
{
    public LevelUpEvent(IPokemon pokemon, int previousLevel, int newLevel)
    {
        Pokemon = pokemon;
        PreviousLevel = previousLevel;
        NewLevel = newLevel;
    }

    public int NewLevel { get; set; }

    public int PreviousLevel { get; set; }

    public IPokemon Pokemon { get; set; }

    /// <inheritdoc />
    public EventBatchId BatchId { get; init; }
}