namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "covet")]
public class Covet : Script
{
    /// <inheritdoc />
    public override void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        if (target.HeldItem == null)
            return;
        if (move.User.HeldItem != null)
            return;
        _ = move.User.SetHeldItem(target.RemoveHeldItemForBattle());
    }
}