namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "increased_critical_stage")]
public class IncreasedCriticalStage : Script
{
    /// <inheritdoc />
    public override void ChangeCriticalStage(IExecutingMove move, IPokemon target, byte hit, ref byte stage)
    {
        // Extreme edge case, should never happen
        if (stage == byte.MaxValue)
        {
            move.GetHitData(target, hit).Fail();
            return;
        }
        stage += 1;
    }
}