using PkmnLib.Static.Utils;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "facade")]
public class Facade : Script
{
    /// <inheritdoc />
    public override void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref byte basePower)
    {
        var status = move.User.StatusScript.Script?.Name;
        if (status == "paralyzed" || status == "burned" || status == "poisoned")
        {
            basePower.MultiplyOrMax(2);
        }
    }
}