using PkmnLib.Static.Utils;

namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "disable")]
public class DisableEffect : Script
{
    private readonly StringKey _move;

    public DisableEffect(StringKey move)
    {
        _move = move;
    }

    /// <inheritdoc />
    public override void PreventMoveSelection(IMoveChoice choice, ref bool prevent)
    {
        if (choice.ChosenMove.MoveData.Name == _move)
            prevent = true;
    }
}