using PkmnLib.Static;

namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "embargo")]
public class EmbargoEffect : Script
{
    private int _turns = 5;

    /// <inheritdoc />
    public override void PreventHeldItemConsume(IPokemon pokemon, IItem heldItem, ref bool prevented)
    {
        prevented = true;
    }

    /// <inheritdoc />
    public override void Stack()
    {
        _turns = 5;
    }

    /// <inheritdoc />
    public override void OnEndTurn(IBattle battle)
    {
        _turns--;
        if (_turns == 0)
        {
            RemoveSelf();
        }
    }
}